$! this generates all of the genome data files like this:
$!
$! M_Genomes_1000bp_4Kb_clone.dat
$!   one phase: .5<->10 genomes of sequence
$!        Cost to make a primer = 15.0 (or 5,10,30,45)
$!        Clones are 4kb (here, 2 or 8 in some others), cost 0.20 to isolate
$!        Primer sequences are 1000 bp (, cost $15.00
$!        End sequences are 1000 bp (elsewhere, 500bp), cost $15.00
$!        Fill clones are 1/2 size of clones and cost $5.00 to isolate
$!        Fill clones are half the size since they may be selected at 
$!          random by primer hybridization, which on average, will give 1/2
$!          as much sequenceable clone (or clone that has not already been
$!          sequenced)
$!
$ if P1 .nes. "" then goto 'P1'
$ pcost = 15
$ write sys$output "1000 bp/sequence, Custom primer cost =''pcost'"
$ @TEST_CONV_GENOMES "''pcost'.00" "4000,0.20" "1000,15.00" "1000,15.00" "2000,5.00"
$ @fieldextractor killme.dat.* M_Genomes_1000bp_4Kb_15_end.dat "21,53,10/105,48,15" " " ","
$ delete killme.dat.*
$ write sys$output "1000 bp/sequence, Custom primer cost =''pcost', end sequence cost = 10.00"
$ @TEST_CONV_GENOMES "''pcost'.00" "4000,0.20" "1000,15.00" "1000,10.00" "2000,5.00"
$ @fieldextractor killme.dat.* M_Genomes_1000bp_4Kb_10_end.dat "21,53,10/105,48,15" " " ","
$ delete killme.dat.*
$ write sys$output "1000 bp/sequence, Custom primer cost =''pcost', end sequence cost = 5.00"
$ @TEST_CONV_GENOMES "''pcost'.00" "4000,0.20" "1000,15.00" "1000,5.00" "2000,5.00"
$ @fieldextractor killme.dat.* M_Genomes_1000bp_4Kb_5_end.dat "21,53,10/105,48,15" " " ","
$ delete killme.dat.*
$!
$ costs = "0,5,10,15,30,45"
$ which = 0
$topcost:
$ pcost = f$element(which,",",costs)
$ if pcost .eqs. "," then goto nextphase
$ write sys$output "Custom primer cost =''pcost'"
$ @TEST_CONV_GENOMES "''pcost'.00" "4000,0.20" "500,15.00" "500,15.00" "2000,5.00"
$ @fieldextractor killme.dat.* M_Genomes_500bp_4Kb_clone_'pcost'primer.dat "21,53,10/105,48,15" " " ","
$ delete killme.dat.*
$ which = which + 1
$ goto topcost
$!
$nextphase:
$ which = 0
$ pcost = 15
$ clones = "2,8"
$topcost2:
$ cvar = f$element(which,",",clones)
$ if cvar .eqs. "," then goto nextphase2
$ half = cvar/2
$ @TEST_CONV_GENOMES "''pcost'.00" "''cvar'000,0.20" "500,15.00" "500,15.00" "''half'000,5.00"
$ @fieldextractor killme.dat.* M_Genomes_500bp_'cvar'Kb_clone_'pcost'primer.dat "21,53,10/105,48,15" " " ","
$ delete killme.dat.*
$ which = which + 1
$ goto topcost2
$!
$nextphase2:
$!
$! seed genomes.  Put in 0 - 10X genomes in 500bp/1000bp seeds then gaps with
$! 4kb pieces.  Note that 4Kb pieces -> 2kb for the fill phase, because 
$! the gaps are filled by tiling end to end, which given the random 
$! selection of clones by hybridization means, on average, only half of 
$! each clone is usable.
$!
$ write sys$Output "generating seed genomes data"
$ @test_seed_genomes "15.00" "500,0.20" "500,15.00" "500,15.00" "2000,5.00"
$ @fieldextractor killme.dat.* M_Genomes_seed_500bp_4kb_15primer.dat "21,53,10/105,48,15" " " ","
$ delete killme.dat.*
$ @test_seed_genomes "15.00" "1000,0.20" "1000,15.00" "1000,15.00" "2000,5.00"
$ @fieldextractor killme.dat.* M_Genomes_seed_1000bp_4kb_15primer.dat "21,53,10/105,48,15" " " ","
$ delete killme.dat.*
$ @test_seed_genomes "15.00" "500,0.20" "500,15.00" "500,15.00" "4000,5.00"
$ @fieldextractor killme.dat.* M_Genomes_seed_500bp_8kb_15primer.dat "21,53,10/105,48,15" " " ","
$ delete killme.dat.*
$ @test_seed_genomes "0.00" "500,0.20" "500,15.00" "500,15.00" "2000,5.00"
$ @fieldextractor killme.dat.* M_Genomes_seed_500bp_4kb_0primer.dat "21,53,10/105,48,15" " " ","
$ delete killme.dat.*
$ @test_seed_genomes "45.00" "500,0.20" "500,15.00" "500,15.00" "2000,5.00"
$ @fieldextractor killme.dat.* M_Genomes_seed_500bp_4kb_45primer.dat "21,53,10/105,48,15" " " ","
$ delete killme.dat.*
